import { MonkeyEcxRequestDownload } from '../interfaces/request-download/monkeyecx-request-download';
import { MonkeyEcxRequestQueue } from '../interfaces/request-queue/monkeyecx-request-queue';
import { MonkeyEcxRequestUpload } from '../interfaces/request-upload/monkeyecx-request-upload';
import { MonkeyEcxServiceCredentials } from '../interfaces/monkeyecx-service-credentials';
import * as i0 from "@angular/core";
export declare abstract class MonkeyEcxHandlingService {
    private monkeyecxServiceCredentials;
    private monkeyecxRequestQueue;
    private monkeyecxRequestDownload;
    private monkeyecxRequestUpload;
    clearAll(): void;
    setMonkeyEcxServiceCredentials(param: MonkeyEcxServiceCredentials): void;
    getMonkeyEcxServiceCredentials(): MonkeyEcxServiceCredentials | null;
    setMonkeyEcxRequestQueue(queue: MonkeyEcxRequestQueue): void;
    getMonkeyEcxRequestQueue(): MonkeyEcxRequestQueue | null;
    setMonkeyEcxRequestDownload(download: MonkeyEcxRequestDownload): void;
    getMonkeyEcxRequestDownload(): MonkeyEcxRequestDownload | null;
    setMonkeyEcxRequestUpload(upload: MonkeyEcxRequestUpload): void;
    getMonkeyEcxRequestUpload(): MonkeyEcxRequestUpload | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxHandlingService>;
}
